<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>{% trans %}GNUKhata{% endtrans %} | {% trans %}Edit Organisation{% endtrans %}</title>
    <style media="screen">
     .shadow {
	 box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
     }
     table td {
	 border-top: none !important;
     }
     .img-circle {
	 border-radius: 50%;
     }
    </style>
  </head>
  <body >
    <input type="hidden" id="vatorgstflag" name="vatorgstflag" value= "{{vatorgstflag}}"></input>
    <div class="container-fluid">
      <div class="mainbox">

	<div class="panel shadow" >
	  <div class="panel-heading">
	    <div class="panel-title" style="text-align:center;">{% trans %}Edit Organisation{% endtrans %}
	      <i class="fa fa-question-circle pull-right" style="font-size:16px;color:white;"data-toggle="modal" data-target="#OrgModal"></i></div>

	  </div>

	  <div style="padding-top:5px" class="panel-body" >
				</br>
				<div class="alert alert-danger" id="date-alert"  aria-live="rude" role="alert" hidden>

				  <label for="viewledger_fromdate">{% trans %}Please enter date in proper format!{% endtrans %}</label>
				</div>
				<div class="alert alert-success" id="success-alert"  aria-live="rude" role="alert" hidden>

				  {% trans %}Organisation particulars edited successfully.{% endtrans %}
				</div>
				<div class="alert alert-danger" id="pan-incorrect-alert"  aria-live="rude" role="alert" hidden>

				  {% trans %}Please enter proper PAN!{% endtrans %}

				</div>

				<div class="alert alert-danger" id="allbank-blank-alert"  aria-live="rude" role="alert" hidden>

				  {% trans %}Please fill all the fields of Bank Details.{% endtrans %}

				</div>

				<div class="alert alert-danger" id="gstin-improper-alert"  aria-live="rude" role="alert" hidden>

				  {% trans %}Improper GSTIN!{% endtrans %}

				</div>

				<div class="alert alert-danger" id="connectionfailed"  aria-live="rude" role="alert" hidden>

 				  {% trans %}Connection Failed.{% endtrans %}
				</div>
				
				<div class="col-xs-12 from-group">
				  <center>
				    <div class="img-thumbnail img-circle ">

				      <div style="position: relative; padding: 0; cursor: pointer;" type="file">
					<img class="img-circle"  style="width: 100px; height: 100px;" id="imgbox">
					<canvas id="imgcanvas" hidden></canvas>


				      </div>
				  </center>
				    </div>
				</div>
				<center>
				  <label class="btn btn-primary btn-sm" for="my-file-selector">
				    <input name="img"  class="input-sm" accesskey="o" id="my-file-selector" type="file" accept="image/*" style="display:none;" onchange="$('#upload-file-info').html('New Logo selected');" >
				    {% trans %}Upload L<u>o</u>go{% endtrans %}
				  </label>
				  <span class='label label-info' id="upload-file-info"></span>
				</center>
				<form id="editorganisationform" method="post" class="form-inline">
				  <div class="col-xs-6 from-group" >
				    <input type="text" id="orgtype" hidden value="{{gkresult["orgtype"]}}" style="width: 100%"></input>
				    <table class="table">
				      <tbody>
					{% if gkresult["orgtype"]=="Not For Profit" %}
					  <tr>
					    <td>
					      <label for="registrationnumber" id="regno">{% trans %}Registration Number{% endtrans %} :</label>
					    </td>
					    <td>
					      <input type="text" id="orgregno" class="form-control input-sm" name="registrationnumber" value="{{gkresult["orgregno"]}}" style="width: 100%"></input>
					    </td>
					  </tr>
					  <tr>
					    <td>
					      <label for="fcrano" id="fcranumber">{% trans %}FCRA Registration Number{% endtrans %} :</label>
					    </td>
					    <td>
					      <input type="text" id="orgfcrano" class="form-control input-sm" name="fcranumber" value="{{gkresult["orgfcrano"]}}" style="width: 100%"></input>
					    </td>
					  </tr>
					{% endif %}
					<tr>
					  <td>
					    <label for="organisationaddress" id="orgaddress">{% trans %}Address{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgaddr" class="form-control input-sm" name="organisationaddress" value="{{gkresult["orgaddr"]}}" style="width: 100%"></input>
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="organisationcity" id="orgCity">{% trans %}City{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgcity" class="form-control input-sm" name="organisationcity" value="{{gkresult["orgcity"]}}" style="width: 100%"></input>
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="organisationstate" id="orgState">{% trans %}State{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="state"  value="{{gkresult["orgstate"]}}" hidden></input>
					    <select id="orgstate" class="form-control input-sm col-sm-8" style="width: 100%">
					      <option value="" hidden disabled selected>Select State</option>
					      {% for state in states %}
						{% for key, value in state.items() %}
						  <option value="{{value}}" stateid="{{key}}">{{value}}</option>
						{% endfor %}
					      {% endfor %}
					    </select>
					    
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="organisationcountry" id="orgCountry">{% trans %}Country{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgcountry" class="form-control input-sm" name="organisationcountry" value="{{gkresult["orgcountry"]}}" style="width: 100%"></input>
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="organisationpincode" id="orgpostalcode">{% trans %}Postal Code{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgpincode" class="form-control input-sm" name="organisationpincode" value="{{gkresult["orgpincode"]}}" style="width: 100%"></input>
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="telephonenumber" id="telno">{% trans %}Contact Number{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgtelno" class="form-control input-sm" size="11" maxlength="11" name="telephonenumber" value="{{gkresult["orgtelno"]}}" style="width: 100%"></input>
					  </td>
					</tr>
				      </tbody>
				    </table>
				  </div>
				  <div class="col-xs-6 from-group">
				    <table class="table">
				      <tbody>
					{% if gkresult["orgtype"]=="Not For Profit" %}
					  <tr>
					    <td>
					      <label for="registrationdate">{% trans %}Date Of Registration{% endtrans %} :</label>
					    </td>
					    <td>
					      <label class="sr-only" for="regday">{% trans %}Enter Registrtion Day{% endtrans %}</label>
					      <input type="text"  id="regday" name="registrationday" class="form-control regdate" size="2" maxlength="2" style="width:60px"  placeholder="DD" value="{{gkresult["orgregdate"][8:10]}}"  style="width: 100%"> </input>

					      <label class="sr-only" for="regmonth">{% trans %}Enter Registration Month{% endtrans %}</label>
					      <input type="text" id="regmonth" name="registrationmonth" class="form-control regdate" size="2" maxlength="2" style="width:60px"  placeholder="MM" value="{{gkresult["orgregdate"][5:7]}}" style="width: 100%"></input>

					      <label class="sr-only" for="regyear">{% trans %}Enter Registration Year{% endtrans %}</label>
					      <input type="text" id="regyear" name="registrationyear" class="form-control regdate" size="4" maxlength="4" style="width:65px"  placeholder="YYYY"  value="{{gkresult["orgregdate"][0:4]}}" style="width: 100%"></input>
					    </td>
					  </tr>
					  <tr>
					    <td>
					      <label for="registrationdate">{% trans %}Date Of FCRA Registration{% endtrans %} :</label>
					    </td>
					    <td>
					      <label class="sr-only" for="fcraregday">{% trans %}Enter FCRA Registrtion Day{% endtrans %}</label>
					      <input type="text" id="fcraregday" name="fcraregistrationday" class="form-control regdate" size="2" maxlength="2" style="width:60px"  placeholder="DD" value="{{gkresult["orgfcradate"][8:10]}}" style="width: 100%"></input>

					      <label class="sr-only" for="fcraregmonth">{% trans %}Enter FCRA Registration Month{% endtrans %}</label>
					      <input type="text" id="fcraregmonth" name="fcraregistrationmonth" class="form-control regdate" size="2" maxlength="2" style="width:60px"  placeholder="MM" value="{{gkresult["orgfcradate"][5:7]}}" style="width: 100%"></input>

					      <label class="sr-only" for="fcraregyear">{% trans %}Enter FCRA Registration Year{% endtrans %}</label>
					      <input type="text" id="fcraregyear" name="fcraregistrationyear" class="form-control regdate" size="4" maxlength="4" style="width:65px"  placeholder="YYYY"  value="{{gkresult["orgfcradate"][0:4]}}" style="width: 100%"></input>
					    </td>
					  </tr>
					{% endif %}
					<tr>
					  <td>
					    <label for="organisationwebsite" id="orgWebsite">{% trans %}Website{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgwebsite" class="form-control input-sm" name="organisationwebsite" value="{{gkresult["orgwebsite"]}}" style="width: 100%"></input>
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="organisationemail" id="orgEmail">{% trans %}Email{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgemail" class="form-control input-sm" name="organisationemail" value="{{gkresult["orgemail"]}}" style="width: 100%"></input>
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="organisationfax" id="orgfaxno">{% trans %}Fax Number{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgfax" class="form-control input-sm" name="organisationfaxnumber" value="{{gkresult["orgfax"]}}" style="width: 100%"></input>
					  </td>
					</tr>
					<tr>
					  <td>
					    <label for="organisationpannumber" id="orgpanno">{% trans %}PAN{% endtrans %} :</label>
					  </td>
					  <td>
					    <input type="text" id="orgpan" class="form-control input-sm" name="organisationpannumber" value="{{gkresult["orgpan"]}}" style="width: 100%" maxlength="10"></input>
					  </td>
					</tr>
					{% if vatorgstflag=='22' or vatorgstflag=='29' %}
					  <tr>
					    <td>
					      <label for="organisationmvat" id="orgvatno" class="tinfield">{% trans %}VAT Number{% endtrans %} :</label>
					    </td>
					    <td>
					      <input type="text" id="orgmvat" class="form-control input-sm tinfield" name="organisationmvat" value="{{gkresult["orgmvat"]}}" style="width: 100%"></input>
					    </td>
					  </tr>
					  <tr>
					    <td>
					      <label for="organisationstaxnumber" id="orgstaxnumber">{% trans %}Service Tax Number{% endtrans %} :</label>
					    </td>
					    <td>
					      <input type="text" id="orgstax" class="form-control input-sm" name="organisationstaxnumber" value="{{gkresult["orgstax"]}}" style="width: 100%"></input>
					    </td>
					  </tr>
					{% endif %}
					{% if vatorgstflag=='7' or vatorgstflag=='29' %}
					  <tr>
					    <td>
					      <label for="organisationgstin" id="orggstinlbl" class="gstinfield">{% trans %}GSTIN{% endtrans %} :</label>
					    </td>
					    <td>
					      <button class="btn btn-primary btn-sm gstinfield" type="button" id="orggstin"  data-toggle="modal" data-target="#addgstinmodal"><i class="fa fa-plus" aria-hidden="true" accesskey="g"></i> {% trans %}Add <u>G</u>STIN{% endtrans %}</button>
					    </td>
					  </tr>
					{% endif %}
					<tr>
					  <td>
					    <label for="orgbankdetails" id="orgbkdel" class="bankdel">{% trans %}Bank Details{% endtrans %} :</label>
					  </td>
					  <td>
					    <button class="btn btn-primary btn-sm bankdel" type="button" id="orgbankdel"  data-toggle="modal" data-target="#addbankdel"><i class="fa fa-plus" aria-hidden="true" accesskey="a"></i> {% trans %}<u>A</u>dd Bank Details{% endtrans %}</button>
					  </td>
					</tr>
				      </tbody>
				    </table>
				  </div>
				  
				  <div id="OrgModal"  tabindex="-1" class="modal fade" role="dialog"style="width:650px; margin-top: 150px; margin-left:325px;;"  aria-hidden="true">
				    <div class="modal-dialog bgcolor">
				      <div class="modal-content ">
					<div class="modal-header">
					  {% trans %}<strong>Help!</strong>{% endtrans %}
					  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
					    <span aria-hidden="true">&times;</span>
					  </button> </div>
					<div class="modal-body" style="text-align: justify; text-justify: inter-word;">

					  <p>   <font color=" #566573"> {%trans%}

					    This screen helps you edit or update organisation particulars.</br>
					    You can use enter key to navigate forward and up arrow to navigate backward.</br>
					    Note that the default tab and shift + tab shortcuts are also available for navigation.
{% endtrans %} </font>

					  </p>
					</div>

				      </div>
				    </div>
				  </div>
				  <div class="container-fluid">
				    <div class="col-xs-2 col-xs-offset-5">
				      <button type="submit" class="btn btn-success btn-sm" id="submit" name="submit" accesskey="v"><i class="fa fa-floppy-o" aria-hidden="true"></i> {% trans %}Sa<u>v</u>e{% endtrans %}</button>
				      <button id="reset" class="btn btn-warning btn-sm" accesskey="e"><i class="fa fa-refresh" aria-hidden="true"></i> {% trans %}R<u>e</u>set{% endtrans %}</button>
				    </div>
				  </div>
				</form>
	  </div>
	</div>
      </div>

      {#For GSTIN#}
      <div id="addgstinmodal" class="modal fade" tabindex="-1" role="dialog">
	<div class="modal-dialog">
	  <div class="modal-content">
            <div class="modal-header">
	      <button type="button" class="close" data-dismiss="modal">&times;</button>
              <div class="modal-title">
		{% trans %}GSTIN{% endtrans %} :
              </div>
            </div>
            <div class="modal-body">
              <div class="alert alert-danger" id="state-blank-alert"  aria-live="rude" role="alert" hidden>
		{% trans %}Please select State!{% endtrans %}
	      </div>
              <div class="alert alert-danger" id="panno-blank-alert"  aria-live="rude" role="alert" hidden>
      		{% trans %}Please enter proper GSTIN!{% endtrans %}
	      </div>
              <div class="alert alert-danger" id="gstin-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Improper GSTIN!{% endtrans %}
	      </div>
	      <div class="alert alert-danger" id="gstin-blank-alert"  aria-live="rude" role="alert" hidden>
		{% trans %}Please Enter GSTIN.{% endtrans %}	
	      </div>
              <div class="panel">
		<div class="panel-body gstinclass">
		  <table id="gstintable" class="table table-condensed table-bordered fixed-table">
		    <thead class="bg-primary input-sm">
		      <tr>
			<th class="col-xs-6 text-center">{% trans %}State{% endtrans %}</th>
			<th class="col-xs-5 text-center">{% trans %}GSTIN{% endtrans %}</th>
			<th class="col-xs-1"></th>
		      </tr>
		    </thead>
		    <tbody>
		      {% if gkresult["gstin"] %}
			{% for gstin in gkresult["gstin"] %}
			  {% set gstinstr = gkresult["gstin"][gstin]%}
			  <tr>
			    <td class="col-xs-6">
			      <select stateid="{{ gstin }}" class="form-control input-sm gstinstate">
				<option value="" disabled hidden selected>Select State</option>
				{% for state in states %}
				  {% for key, value in state.items() %}
				    <option value="{{value}}" stateid="{{key}}">{{value}}</option>
				  {% endfor %}
				{% endfor %}
			      </select>
			    </td>
			    <td class="col-xs-5">
			      <div class="form-inline nopadding">
				<div class="form-group nopadding">
				  <input type="text" class="form-control input-sm nopadding statecode" size="2" maxlength="2" value="{{ gstinstr }}" disabled >
				  <input type="text" class="form-control input-sm nopadding panno" size="10" maxlength="10">
				  <input type="text" class="form-control input-sm nopadding gstin" size="3" maxlength="3">
				</div>
			      </div>
			    </td>
			    <td class="col-xs-1">
			    </td>
			  </tr>
			{% endfor %}
		      {% else %}
			<tr>
			  <td class="col-xs-6">
			    <select class="form-control input-sm gstinstate">
			      <option value="" disabled hidden selected>Select State</option>
			      {% for state in states %}
				{% for key, value in state.items() %}
				  <option value="{{value}}" stateid="{{key}}">{{value}}</option>
				{% endfor %}
			      {% endfor %}
			    </select>
			  </td>
			  <td class="col-xs-5">
			    <div class="form-inline nopadding">
			      <div class="form-group nopadding">
				<input type="text" class="form-control input-sm nopadding statecode" size="2" maxlength="2" disabled >
				<input type="text" class="form-control input-sm nopadding panno" size="10" maxlength="10">
				<input type="text" class="form-control input-sm nopadding gstin" size="3" maxlength="3">
			      </div>
			    </div>
			  </td>
			  <td class="col-xs-1">
			    
			  </td>
			</tr>
		      {% endif %}
		    </tbody>
		  </table>
		  <div>
		    <small id="donehelp" class="form-text text-muted"> Press 'Esc' when you are done.</small>
                  </div>
		</div>
                
	      </div>

	      <div class="panel-footer">
		<div class="container-fluid">
		  <button class="btn btn-success btn-sm" id="gstin_done" data-toggle="tooltip" data-placement="top" ><i class="fa fa-check" aria-hidden="true" accesskey="d"></i>{% trans %} <u>D</u>one{% endtrans %}</button>
		  {#<button id="gstinmod_reset" class="btn btn-warning btn-sm" accesskey="">{% trans %}<i class="fa fa-refresh" aria-hidden="true"></i> Reset{% endtrans %}</button>#}
		</div>
	      </div>
	    </div>
	  </div>
	</div>

	{#end GSTIN#}	
	<div style="padding-top:15px" class="mainbox col-md-2"></div>
      </div>


      
      {# bank details #}

      <div id="addbankdel" class="modal fade" tabindex="-1" role="dialog">
	<div class="modal-dialog">
	  <div class="modal-content">
            <div class="modal-header">
	      <button type="button" class="close" data-dismiss="modal">&times;</button>
	      <div class="modal-title">
		{% trans %}BANK DETAILS{% endtrans %} :
	      </div>
            </div>
            <div class="modal-body">
	      <div class="alert alert-danger" id="bankdetails-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please fill all the fields of Bank Details.{% endtrans %}
	      </div>

              <div class="alert alert-danger" id="bankname-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter the Bank Name.{% endtrans %}
	      </div>

	      <div class="alert alert-danger" id="accno-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter an account  number.{% endtrans %}
	      </div>


	      <div class="alert alert-danger" id="both-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter an Account Number and the Bank Name{% endtrans %}
	      </div>


	      <div class="alert alert-danger" id="branchname-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter the Branch Name.{% endtrans %}
	      </div>


	      <div class="alert alert-danger" id="both1-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter Account Number, Bank Name and the Branch Name.{% endtrans %}
	      </div>


	      <div class="alert alert-danger" id="both2-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter the Bank Name and Branch Name{% endtrans %}
	      </div>

	      <div class="alert alert-danger" id="both3-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter an Account Number and Branch Name{% endtrans %}
	      </div>


	      <div class="alert alert-danger" id="ifsc-improper-modal"  aria-live="rude" role="alert" hidden>
		{% trans %}Please enter an IFSC Code{% endtrans %}
	      </div>


	      
	      
		  <table id="banktable" class="table fixed-table">
		    <tbody>
                 	<tr>
			    <td class="col-xs-6">
		              <label for="bankaccount number" id="accno">{% trans %}Account Number{% endtrans %} :</label>
			    </td>
			    <td class="col-xs-6">
			      <input  type="text" id="accnum" class="form-control input-sm bankdel" name="bankaccountno" value="{{gkresult["bankdetails"]["accountno"]}}" style="width: 100%"></input>
			    </td>
			</tr>


                        <tr>
			  <td>
		            <label for="bank name" id="banknm">{% trans %}Bank Name{% endtrans %} :</label>
			  </td>
			  <td>
			    <input type="text" id="bank_name" class="form-control input-sm bankdel" name="bankname" value="{{gkresult["bankdetails"]["bankname"]}}" style="width: 100%"></input>
			  </td>
                        </tr>

			<tr>
			  <td>
		            <label for="bankbranch name" id="branchnm">{% trans %}Branch Name{% endtrans %} :</label>
			  </td>
			  <td>
			    <input type="text" id="branch_name" class="form-control input-sm bankdel" name="branchname" value="{{gkresult["bankdetails"]["branchname"]}}" style="width: 100%"></input>
			  </td>
			</tr>
                        
			<tr>
			  <td>
		            <label for="bankIFSC code" id="ifsc">{% trans %}IFSC Code{% endtrans %} :</label>
			  </td>
			  <td>
			    <input type="text" id="ifsc_code" class="form-control input-sm bankdel" name="bankifsc" value="{{gkresult["bankdetails"]["ifsc"]}}" style="width: 100%"></input>
			    </td>
			  </tr>
			</tbody>
		  </table>

		  <div>
		    <small id="donehelp" class="form-text text-muted"> Press 'Esc' when you are done.</small>
                  </div>
		<div class="panel-footer">
		<div class="container-fluid">
		  <button class="btn btn-success btn-sm" id="bankdel_done" data-toggle="tooltip" data-placement="top" ><i class="fa fa-check" aria-hidden="true" accesskey="n"></i>{% trans %} Do<u>n</u>e{% endtrans %}</button>
		</div>
	      </div>
	    </div>
	  </div>
	</div>
	<div style="padding-top:15px" class="mainbox col-md-2"></div>
      </div>
	
	{# end bank details #}
      
    <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/jquery.validate.min.js')}}"></script>
    <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/editorganisation.js')}}"></script>
</body>
</html>
